org.apache.velocity.tools

## Class Scope

- java.lang.Object
- - org.apache.velocity.tools.Scope

    public final class Scope
    extends Object

A specialized constants class to provide some compile-time typo checking and runtime validation for scopes specified in annotations, toolbox configs, etc.

Version:
  $Id: Toolbox.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna

### Field Summary

Fields
`static String` `APPLICATION`
`static String` `REQUEST`
`static String` `SESSION`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `add(String newScope)`
`static boolean` `exists(String scope)`
`static Scope` `getInstance()`
`static List<String>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REQUEST

    public static final String REQUEST

See Also:
  Constant Field Values

#### SESSION

    public static final String SESSION

See Also:
  Constant Field Values

#### APPLICATION

    public static final String APPLICATION

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static final Scope getInstance()

#### add

    public static final void add(String newScope)

#### exists

    public static final boolean exists(String scope)

#### values

    public static final List<String> values()